Bug 1179475 - [3.5-6.6] wwid needs to be included in the kernel arguments on upgrade (to cover 6.5 -> 6.6)
Summary: [3.5-6.6] wwid needs to be included in the kernel arguments on upgrade (to co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Fabian Deutsch
QA Contact: Virtualization Bugs
URL:
Whiteboard: node
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2015-01-06 20:41 UTC by Fabian Deutsch
Modified: 2016-02-10 20:11 UTC (History)
12 users (show)

Fixed In Version: ovirt-node-3.2.1-5.el6 ovirt-node-3.2.1-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 21:07:53 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0160 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update 2015-02-12 01:34:52 UTC

Description Fabian Deutsch 2015-01-06 20:41:09 UTC
Description of problem:
With 6.6 we need to set the correct wwid on the kernel commandline during boot.
On fresh 6.6 installations this is done by the installer.

But the upgrade logic needs to be improved to cover the case where a user with a multipath disk is upgarding rhev-h.

Comment 1 Fabian Deutsch 2015-01-12 15:42:42 UTC
This scenario is already covered by the current implementation.

Comment 2 Ying Cui 2015-01-29 09:14:26 UTC
# cat /etc/system-release
Red Hat Enterprise Virtualization Hypervisor 6.6 (20150128.0.el6ev)
# rpm -q ovirt-node kernel
ovirt-node-3.2.1-6.el6.noarch
kernel-2.6.32-504.8.1.el6.x86_64

    kernel /vmlinuz0 root=live:LABEL=Root ro rootfstype=auto rootflags=ro ksdevice=bootif  max_loop=256 crashkernel=128M lang= rd_NO_LUKS RD_NO_LVM rd_NO_MD quiet elevator=deadline rhgb rd_NO_DM mpath.wwid=360a9800050334c33424b334163434546

After upgrade from rhevh 6.5 for 3.4.z(RHEV-H 6.5-20150115.0.el6ev
) to 20150128.0.el6ev. wwid already kernel cmdline after upgrade, and rhevh 6.6 start successful. 

And the backup rhevh 6.5 for 3.4.z(RHEV-H 6.5-20150115.0.el6ev) also can boot successful. 

Test machine is Z600-03

So this bug is verified on rhevh side, and the kernel bug 1179728 was fixed yet as well.

Comment 4 errata-xmlrpc 2015-02-11 21:07:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0160.html


Note You need to log in before you can comment on or make changes to this bug.